Cyberduck Mountain Duck CLI

#1205 closed defect (wontfix)

Leap year and a server which does not show year part of timestamp

Reported by: masui Owned by: dkocher
Priority: normal Milestone:
Component: ftp Version: 2.8b1
Severity: normal Keywords:
Cc: Architecture:
Platform:

Description

Recently I noticed that Cyberduck does not list specific files on my home ftp server.
I found that every file which is not listed has the date of "02/29/2004" as its timestamp.

Ordinary ftp servers (including ftpd of Mac OS X) return timestamp in a result of ls command, like:
"-rw------- 1 masui masui 3147470848 Feb 29 2004 afo.mpg"

However, some ftp servers do not show year part of timestamp in directory listings, like:
"-rwxr--r-- 1 owner 2487305280 Feb 29 12:00 bfo.mpg"

My home ftp server software is latter one. Is that a defect of the software?

When a file which has timestamp of "02/29/2004 12:00" (see "bfo.mpg" above) exists on the server,
Cyberduck treats that information as "02/29/2007 12:00" because the server does not report year part
of the timestamp. I think Cyberduck rejects that invalid date and omits the file from directory listing.

I tried to use other kind of ftp clients with the server and found that they convert the invalid date of
"02/29/2007" into "03/01/2007". I do not feel date conversion like that is good solution.
However, it is also not good that Cyberduck silently ignores a file with invalid date.

Do you have any good idea?

Change History (1)

comment:1 Changed on Aug 5, 2007 at 1:19:33 PM by dkocher

  • Resolution set to wontfix
  • Status changed from new to closed

Currently when parsing a timestamp fails, the file is omitted in the directory listing. Because the timestamp is not valid I would argue it is the server software to fix here. If the file was created on a non-existant date the file should not even exist, does it?

Note: See TracTickets for help on using tickets.
swiss made software